# Dispenser (Scissors-API 1.17.1-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.material, class: Dispenser

Package org.bukkit.material

# Class Dispenser

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.DirectionalContainer
org.bukkit.material.FurnaceAndDispenser
org.bukkit.material.Dispenser

All Implemented Interfaces:
  `Cloneable`, `Directional`

@Deprecated public class Dispenser extends FurnaceAndDispenser
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a dispenser.

## Constructor Summary

Constructors
Constructor
Description
`Dispenser()`
Deprecated.
`Dispenser(BlockFace direction)`
Deprecated.
`Dispenser(Material type)`
Deprecated.
`Dispenser(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Dispenser`
`clone()`
Deprecated.
`BlockFace`
`getFacing()`
Deprecated.
Gets the direction this block is facing
`void`
`setFacingDirection(BlockFace face)`
Deprecated.
Sets the direction that this block is facing in

### Methods inherited from class org.bukkit.material.DirectionalContainer

`toString`

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Dispenser

public Dispenser()
Deprecated.

### Dispenser

public Dispenser(BlockFace direction)
Deprecated.

### Dispenser

public Dispenser(Material type)
Deprecated.

### Dispenser

@Deprecated public Dispenser(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### setFacingDirection

public void setFacingDirection(BlockFace face)
Deprecated.
Description copied from interface: `Directional`
Sets the direction that this block is facing in

Specified by:
  `setFacingDirection` in interface `Directional`
Overrides:
  `setFacingDirection` in class `DirectionalContainer`
Parameters:
  `face` - The facing direction

### getFacing

public BlockFace getFacing()
Deprecated.
Description copied from interface: `Directional`
Gets the direction this block is facing

Specified by:
  `getFacing` in interface `Directional`
Overrides:
  `getFacing` in class `DirectionalContainer`
Returns:
  the direction this block is facing

### clone

public Dispenser clone()
Deprecated.

Overrides:
  `clone` in class `FurnaceAndDispenser`